﻿# Game script beyond this!

init:
    # Shake effect
    $ sshake = Shake((0, 0, 0, 0), 1.0, dist=15)

    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    image bus = "tanakawho-bus.png"
    image home = "tiexano-room.png"
    image black = "#000000"
    image title = "title.png"

    # Declare characters used by this game.
    $ narrator  = Character(None, ctc = anim.Blink("ctc.png"))


# The game starts here.
label start:

    # play sound doors.wav
    # $ renpy.pause(1.0)
    # bus seat by tanakawho from Flickr
    $ renpy.pause(0.5)
    "\"Whew!\" {w=1.0}With a sigh, the boy drops down into his favourite seat.{w=1.0} He always sits there, so I've come to think of it as his personal seat.{w=1.0}\n\nI've grown rather fond of seeing the boy every day."
    "\"So, about last time, you were gonna tell me about it!\"{w=1.0} He smiles at me, brightly and excitedly.{w=1.0}\n\nI know what I promised, but I'll pretend I forgot."
    "\"Hmmm...{w=1.0} was I?\"{w=1.0} I rub my chin and pretend to think.{w=1.0}\n\nHe takes the bait.{w=1.0} He's so easy to tease."
    "\"Yes, you were!\"{w=1.0} He leans forward, eyes fierce with determination."
    "\"Fine, fine, fine.\"{w=1.0} With that, our daily routine is complete.{w=1.0} I always pretend to be unwilling, and he always presses me to talk."
    "\"This is almost ancient history to me.{w=1.0} It happened very, very long ago.\"{w=1.0}\n\nBut, even though it happened so long ago...{w=1.0} if I just close my eyes, it all comes back to me."
    "With that simple gesture, I leap through time, back to when I was seventeen."
    # # Ready until here. Dialogue polished and carefully adjusted. No problems unless editor thinks there are.
    $ renpy.pause(1.0)
    play music "Sticking+Points.mp3" fadein 4.0
    scene home
    with dissolve
    # scene home by tiexano, Flickr
    $ renpy.pause(3.0)
    "March, 21st.{w=1.0}\nYears ago."
    "Whew...{w=1.0} it really is hot.{w=1.0} But then, Spring has just begun.{w=1.0} It's meant to be hot."
    "Just sitting in the sun makes me all calm and sleepy."
    "But if I fall asleep now, I'll be late.{w=1.0} It's almost that time of the day, after all.{w=1.0} The time of day I usually go out."
    "Most of my friends spend their holidays cooped up inside all day.{w=1.0} Me?{w=1.0} I can't stand being inside all day."
    "People over the age of fourteen have no business cooping themselves up, after all!"
    "That's why I go out whenever I can."
    "Before I leave, I always leave mum a short message.{w=1.0} I think that's a good habit, even though my friends think it's silly, since I never stay out too long."
    "\"Hiya, mum. {w=1.0}I'm going out for the usual.{w=1.0} I'll be back before dinner.\"{w=1.0}\n\nI used to write long notes, but mum's gotten used to my habit now so I don't need to."
    "With that, I should be ready to go.{w=1.0}\n\n...{w=1.0} See you soon, home."
    $ renpy.pause(1.0)
    # sound door open
    # $ renpy.pause(1.0)
    # sound door close
    scene black
    with dissolve
    # play sound bus-stop.wav
    # $ renpy.pause(??)
    # play sound doors.wav
    # $ renpy.pause(0.6)
    scene bus
    with dissolve
    "When I get on the bus, the driver is all smiles."
    "\"Today again, Davis?\" {w=1.0}I go by bus at this time so often, the driver and I know each other already."
    "\"Sure am, mister Fairwell!\"{w=1.0} I fish the money for a ticket out of my pocket, and with a trained gesture hand it to the driver -{w=0.3} and he returns my trained gesture with one of his own."
    "We exchange money and ticket at the same time.{w=1.0}\nOnce before, mum had laughed when she had seen this exchange."
    "\"Have a nice trip,\" Fairwell grins, tipping the side of his hat to me.{w=1.0} Apparently, he used to be a driver for some rich guy somewhere."
    "Why he quit that job and became a bus driver in this remote town is beyond me, but I like him, so I'm not complaining!"
    "Every Friday, I go by bus.{w=1.0} It's a weekly routine for me."
    "And every Friday it's the same -{w=0.3} Fairwell is the driver.{w=1.0} Because the bus only travels 'round town, it seems the drivers have a fixed schedule."
    "I always sit near the back of the bus.{w=1.0} After all, that's where my favourite seat is.{w=1.0} Third from the back, window side."
    "Although today my seat already has an occupant.{w=1.0} A girl, hardly older than I am is sitting in my chair.{w=1.0} She's reading a book, occasionally pausing to glance out the window."
    "There's no helping it. {w=1.0}I quietly slip into the seat in front of her -{w=0.3} if I can't have the best seat, I'll settle for second-best!{w=1.0} Hahaha!"
    "The reason I ride the bus is because I love watching the scenery pass by.{w=1.0} Especially now that Spring has begun, I'm looking forward to the blossoming flowers."
    "And I'm looking forward to pretty girls dotting the landscape, hahaha!{w=1.0}\n\n...{w=1.0} even though I say that, I've never had the courage to ask one out."
    "I spend a few quiet minutes just watching the scenery.{w=1.0} The trees are still without leaves, and the grass is still a pale green rather than a deep green. {w=1.0}Despite all that, I think the trip is worth it."
    "It's calming to watch the scenery pass by, and it beats staring at a wall all day."
    "\"Having a good day?\"{w=1.0}\nThe girl behind me is talking."
    "\"Hey, are you listening?\"{w=1.0}\n\nI guess she's talking on the ph--{nw}"
    stop music
    with sshake
    "\"{size=+25}WHOAH!{/size}\"" 
    play music "Heartwarming.mp3" fadein 3.0
    "Something suddenly moves beside me."
    "\"What's that exaggerated reaction for?!\"{w=1.0} It's the girl sitting behind me.{w=1.0} She's leaned forward from her chair, and suddenly put her face right next to mine."
    "The fierce way she's staring at me is almost scary."
    "\"You scared the heck out of me!\"{w=1.0} Isn't it obvious that'd scare someone witless?"
    "\"Well, you were ignoring me!\"{w=1.0}\nThat's really not a good reason to start spooking people, you know!"
    "\"You were talking to me?\"{w=1.0}\n\"Obviously.\"{w=1.0}\n\"But why?\""
    "She sighs and shakes her head.{w=1.0}\n\n\"Do I need a reason to talk to you?\"{w=1.0}\nWell, if you put it that way...{w=1.0} I guess not."
    "\"What if I didn't want to talk?\"{w=1.0}\n\"You definitely want to talk.{w=1.0} You look like the sort that gets bored being lonely.\"{w=1.0} She grins as she says this, the very pink of confidence."
    "\"So, why were you grinning just now?\" {w=1.0}She looks at me curiously."
    "\"N-nothing at all.\"{w=1.0} I can't tell a violent girl like this I was thinking about pretty girls!"
    "\"Just tell me already.\"{w=1.0}\nSigh!{w=1.0} I guess there's no helping it.{w=1.0} I scrape my throat, and decide to make up a lie."
    $ renpy.pause(3.0)
    "We spend the ride talking with each other.{w=1.0} I find out her name's Rachel, and she's a student majoring in arts. {w=1.0}She's actually three years older than I am."
    "I also find out that she likes trains more than she likes busses, and that she wishes her aunt would have lived near a railway station instead of this remote town."
    "I guess she lives with her aunt."
    "\"--and worst of all is the supermarket--\" {w=1.0}Rachel is a flurry of words.{w=1.0} I can hardly get a word in.{w=1.0} All I do is look at her face, and occassionally I nod or agree with her."
    "Rachel's expression changes from happy, to scowling, to angry rapidly, whichever fits her story."
    "She abruptly stops in mid-sentence when the bus comes to a stop."
    stop music fadeout 1.0
    "\"Well, this is my stop, Davey.{w=1.0} You're good at listening, you know that?\" {w=1.0}She smiles at me.{w=1.0} I almost want to say, 'You're welcome'."
    "\"See you later!\" {w=1.0}Before I can say a word, Rachel's already reached the door and, with a quick wave, she jumps out and I'm left alone."
    scene black
    with dissolve
    "Afterwards, it became a habit to run into Rachel on the bus.{w=1.0} Of course, we just happened to take the same bus at the same time on the same day."
    "And for a good while, she was just a girl I'd meet on the bus, and who'd talk to me about everything; from the smell of flowers to the shapes of clouds, there just wasn't a thing she didn't talk about."
    "Even so, I grew to like her stories.{w=1.0} She was always so lively, and so animated, that she drew me into her stories every single time."
    "I began to talk, too.{w=1.0} Not a lot at first, but gradually on I found myself talking about things I'd experienced, or things that I wanted to experience."
    "Rachel, in turn, would tell me about the drawings she'd drawn, or hoped to draw."
    "I really enjoyed those days.{w=1.0} So much that I hoped they'd last forever."
    "I realised I'd fallen in love with Rachel; sometimes I'd think of her while at school, or I'd wonder what she'd say if she could see what I saw."
    "And then that day came.{w=1.0} The day I decided I'd ask her out."
    $ renpy.pause(1.0)
    scene bus
    with dissolve
    $ renpy.pause(3.0)
    "June 12th.{w=1.0}\nThe day of days."
    "I'm nervous today.{w=1.0} I stayed up all night running the various scenarios in my head."
    "How would Rachel react if I told her I liked her?{w=1.0} There's really only one way of knowing.{w=1.0} And I'm nervous about it."
    "Even Fairwell notices my nervousness, but he just tips the brim of his hat to me and grins."
    "Does he know?{w=1.0} Well, I guess he just jumped to a conclusion, but it's not a wrong conclusion."
    "We exchange our ritual.{w=1.0} My hands become sweaty, my throat dry."
    "I go towards the back; nervous, but also excited."
    "Rachel comes in view.{w=1.0} I raise my arm and almost greet her, but I don't."
    "Because there's something wrong with the picture I'm seeing."
    play music "Trio for Piano, Cello, and Clarinet.mp3" fadein 3.0
    "Rachel's sitting slumped in her chair.{w=1.0} She's staring outside the window, when normally she cheerily greets me."
    "I quietly slip into the seat next to her."
    "\"Hey, Rachel.\"{w=1.0} I greet her quietly, but she doesn't respond."
    "She doesn't look like she's in such a good mood, so I'll let it rest.{w=1.0} Sigh, today's not a good day to tell her."
    "\"There's this guy I like.\"{w=1.0} Rachel suddenly begins.{w=1.0} There's someone she likes?{w=1.0} \n\n..."
    "We look at each other.{w=1.0} I want to say something, but I don't know what."
    "Rachel sighs.{w=1.0} \"I'd really hoped he'd say 'yes', too...\""
    "I don't know what to say.{w=1.0} I don't know what to do."
    "So I just sit there, quietly looking at Rachel."
    "And Rachel turns her gaze away.{w=1.0} She looks out the window, playing with a lock of hair."
    "We spend the ride in silence.{w=1.0} Fairwell hums a song, completely unaware of anything that's going on back here."
    "It feels stifling."
    "..."
    "\"Sorry.\"{w=1.0} Rachel mumbles when we arrive at her stop.{w=1.0} Again, I don't know what to say, so I just nod."
    "And so I watch her wriggle past me, and leave without sparing me another glance."
    stop music fadeout 1.0
    scene black
    with dissolve
    "...{w=1.0} after Rachel had left, I couldn't stop my tears."
    "I felt pathetic.{w=1.0} I don't even know why anymore."
    "Fairwell noticed when we reached my stop, and he had kindly sat beside me.{w=1.0} He even called in a colleague to take his shift, and he walked me home."
    "I talked to him, about Rachel and my feelings.{w=1.0} And he had listened, patiently, sternly."
    "In the end, that was the last time I'd ever seen Rachel."
    "I didn't dare face her, so I didn't take the bus for two weeks."
    "When I took the bus again, she wasn't there anymore."
    "And she didn't come there ever again."
    play music "Mountain+Shadows.mp3" fadein 4.0
    scene bus
    with dissolve
    $ renpy.pause(3.0)
    "\"Come on, mister Brooks!{w=1.0} A promise is a promise!\"{w=1.0} The kid's voice pulls me back to reality."
    "I can feel my eyes watering up.{w=1.0} Heh, even though it was twenty years ago...{w=1.0} it's still a sore spot."
    "\"Well, you see...\"{w=1.0} Just for today, I'll relive that memory."
    "I'll tell my story to this kid, who rides with me every time."
    "Old Fairwell's no longer a bus driver.{w=1.0} But his kindness that day touched my heart.{w=1.0}\n\nThat sounds incredibly cheesy, but life's a cheeseburger anyway."
    "So here I am, a bus driver telling stories to an elementary school kid."
    "But that's all right.{w=1.0} After all, I enjoy it."
    "Every day, I tell him a story.{w=1.0} Sometimes something about me, sometimes something fictional."
    "And every day, afterwards I smile at him and say,{w=0.3} \"So, how was your day?\""
    scene black
    with dissolve
    $ renpy.pause(4.0)
    centered "\n\n\n\n\n~fin"
